Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming
Class Binding

    java.lang.Object
      org.omg.CosNaming.Binding

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class Binding

extends Object
implements IDLEntity

org/omg/CosNaming/Binding.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/CosNaming/nameservice.idl Wednesday, August 11, 2004 5:04:12 AM GMT-08:00

See Also:
  Serialized Form

Field Summary
`NameComponent[]` | `binding_name`
`BindingType` | `binding_type`

Constructor Summary
`Binding()`
`Binding(NameComponent[] _binding_name, BindingType _binding_type)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### binding_name

    public NameComponent[] binding_name

### binding_type

    public BindingType binding_type

Constructor Detail

### Binding

    public Binding()

### Binding

    public Binding(NameComponent[] _binding_name,
                   BindingType _binding_type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.